- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Hierarchy
- Class Members

# dirac_encoder_t Struct Reference

`#include <dirac_encoder.h>`

List of all members.

## Public Attributes
dirac_encoder_context_t | enc_ctx
int | encoded_frame_avail
dirac_enc_data_t | enc_buf
dirac_frameparams_t | enc_fparams
dirac_enc_framestats_t | enc_fstats
dirac_enc_seqstats_t | enc_seqstats
int | end_of_sequence
int | decoded_frame_avail
dirac_framebuf_t | dec_buf
dirac_frameparams_t | dec_fparams
dirac_instr_t | instr
int | instr_data_avail
const void * | compressor

## Detailed Description

Structure that holds the information returned by the encoder

Definition at line 404 of file dirac_encoder.h.

## Member Data Documentation

const void* dirac_encoder_t::compressor

| void pointer to internal sequence compressor Definition at line 457 of file dirac_encoder.h. Referenced by dirac_encoder_load().

dirac_framebuf_t dirac_encoder_t::dec_buf

| locally decoded output buffer. This buffer is allocated and managed by the encoder library Definition at line 440 of file dirac_encoder.h.

dirac_frameparams_t dirac_encoder_t::dec_fparams

| locally decoded frame params Definition at line 443 of file dirac_encoder.h. Referenced by DiracEncoder::GetDecodedData().

dirac_enc_data_t dirac_encoder_t::enc_buf

| encoded output. This buffer must be initialised by the user of the library Definition at line 416 of file dirac_encoder.h. Referenced by DiracEncoder::GetEncodedData(), and DiracEncoder::GetSequenceEnd().

dirac_encoder_context_t dirac_encoder_t::enc_ctx

| Encoder context Definition at line 407 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

dirac_frameparams_t dirac_encoder_t::enc_fparams

| encoded frame params Definition at line 419 of file dirac_encoder.h. Referenced by DiracEncoder::GetEncodedData().

dirac_enc_framestats_t dirac_encoder_t::enc_fstats

| encoded frame stats Definition at line 422 of file dirac_encoder.h.

dirac_enc_seqstats_t dirac_encoder_t::enc_seqstats

| encoded frame stats Definition at line 425 of file dirac_encoder.h.

int dirac_encoder_t::encoded_frame_avail

| encoded frame avail flag Definition at line 410 of file dirac_encoder.h. Referenced by dirac_encoder_init(), and DiracEncoder::GetEncodedData().

int dirac_encoder_t::end_of_sequence

| end of sequence Definition at line 428 of file dirac_encoder.h.

dirac_instr_t dirac_encoder_t::instr

| instrumentation data buffer. This buffer is allocated and managed by the encoder library. Definition at line 448 of file dirac_encoder.h. Referenced by DiracEncoder::GetInstrumentationData().

int dirac_encoder_t::instr_data_avail

| instrumentation data available flag 1 - instrumentation data available in instr 0 - linstrumentation data not available. Definition at line 454 of file dirac_encoder.h. Referenced by dirac_encoder_init(), and DiracEncoder::GetInstrumentationData().

The documentation for this struct was generated from the following file:

- C:/guliverkli/src/filters/parser/diracsplitter/libdirac/libdirac_encoder/dirac_encoder.h